/**
 * 按条件树结构中某一个item的层级关系
 * @param array
 * @param filter
 * @param childrenKey
 */
export declare const $getItemTree: <T = any>(array: T[], filter: (item: T) => boolean, childrenKey?: string) => T[];
/**
 * 获取树结构中符合filter的item
 * @param datasource
 * @param filter
 * @param childKey
 */
export declare const loopDataTree: <T = any>(datasource: T[], filter: (o: T) => boolean, childKey?: string) => T[];
