import React, { PureComponent } from 'react';
export interface ILazyImageProps extends React.DetailsHTMLAttributes<HTMLImageElement> {
    'data-src': string;
    alt?: string;
}
export default class LazyImage extends PureComponent<ILazyImageProps> {
    imageRef: React.RefObject<HTMLImageElement>;
    render(): React.ReactNode;
}
