"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "ILazyLoadProps", {
  enumerable: true,
  get: function get() {
    return _Lazyload.ILazyLoadProps;
  }
});
Object.defineProperty(exports, "ILazyImageProps", {
  enumerable: true,
  get: function get() {
    return _LazyImage.ILazyImageProps;
  }
});
exports.default = void 0;

var _Lazyload = _interopRequireWildcard(require("./Lazyload"));

var _LazyImage = require("./LazyImage");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * 延迟加载容器
 * 作用：
 *      容器内的img标签会通过设定的rootElement可视区域来进行延迟加载
 * 使用方法：
 *      1)将容器内的img标签添加自定义属性data-lazy="true"并且设置data-src属性为资源url
 *      2）或者使用LvLazyImage组件，容器内的LvLazyImage组件将会延迟加载
 */
var _default = _Lazyload.default;
exports.default = _default;