"use strict";

require("core-js/modules/es.symbol");

require("core-js/modules/es.symbol.description");

require("core-js/modules/es.symbol.iterator");

require("core-js/modules/es.array.concat");

require("core-js/modules/es.array.filter");

require("core-js/modules/es.array.for-each");

require("core-js/modules/es.array.iterator");

require("core-js/modules/es.array.map");

require("core-js/modules/es.function.name");

require("core-js/modules/es.object.assign");

require("core-js/modules/es.object.get-own-property-descriptor");

require("core-js/modules/es.object.get-own-property-descriptors");

require("core-js/modules/es.object.get-prototype-of");

require("core-js/modules/es.object.keys");

require("core-js/modules/es.object.to-string");

require("core-js/modules/es.reflect.construct");

require("core-js/modules/es.regexp.to-string");

require("core-js/modules/es.string.iterator");

require("core-js/modules/web.dom-collections.for-each");

require("core-js/modules/web.dom-collections.iterator");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _LazyImage = _interopRequireDefault(require("./LazyImage"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _createSuper(Derived) { return function () { var Super = _getPrototypeOf(Derived), result; if (_isNativeReflectConstruct()) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var LazyLoad = /*#__PURE__*/function (_PureComponent) {
  _inherits(LazyLoad, _PureComponent);

  var _super = _createSuper(LazyLoad);

  function LazyLoad() {
    var _temp, _this;

    _classCallCheck(this, LazyLoad);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _possibleConstructorReturn(_this, (_temp = _this = _super.call.apply(_super, [this].concat(args)), _this.containerDiv = _react.default.createRef(), _this.imgRefs = [], _this.observer = null, _this.intersectionObserver = function () {
      if (!window.hasOwnProperty('IntersectionObserver')) {
        _this.imgRefs.forEach(function (img) {
          img.src = img.dataset.src || '';
        });

        return;
      } //初始化监听方法


      _this.observer = new IntersectionObserver(function (entries) {
        entries.forEach(function (item) {
          if (item.isIntersecting) {
            var img = item.target;
            setTimeout(function () {
              if (img.dataset.src) {
                img.src = img.dataset.src;
              }
            }, _this.props.delay);

            _this.observer.unobserve(img);
          }
        });
      }, {
        root: _this.props.rootElement || _this.containerDiv.current
      });

      _this.imgRefs.forEach(function (c) {
        _this.observer.observe(c);
      });
    }, _this.loopChildren = function (children) {
      return _react.default.Children.map(children, function (child) {
        /**
         * 普通img标签
         */
        if (child && child.type === 'img' && child.props && child.props['data-lazy'] === 'true') {
          return _react.default.cloneElement(child, {
            ref: function ref(e) {
              if (e) {
                _this.imgRefs.push(e);
              }
            }
          });
        }
        /**
         * LvLazyImage组件
         */
        else if (child && typeof child.type === 'function' && child.type.name === _LazyImage.default.name) {
            return _react.default.cloneElement(child, {
              ref: function ref(e) {
                if (e && e.imageRef && e.imageRef.current) {
                  _this.imgRefs.push(e.imageRef.current);
                }
              }
            });
          } else if (child && child.props && child.props.children) {
            return _react.default.cloneElement(child, {}, _this.loopChildren(child.props.children));
          } else {
            return child;
          }
      });
    }, _temp));
  }

  _createClass(LazyLoad, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.intersectionObserver();
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState, snapshot) {
      if (this.props.data !== prevProps.data) {
        this.intersectionObserver();
      }
    }
    /**
     * 组件卸载时释放资源
     */

  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.observer = null;
      this.imgRefs = [];
    }
    /**
     * 使用IntersectionObserver API监听图片显示
     * @constructor
     */

  }, {
    key: "render",
    value: function render() {
      var className = (0, _classnames.default)('lyc-lazyload', this.props.className);
      this.imgRefs = [];
      var divProps = Object.assign({}, this.props);
      delete divProps.rootElement;
      delete divProps.delay;
      delete divProps.data;
      return /*#__PURE__*/_react.default.createElement("div", _objectSpread({
        className: className
      }, divProps, {
        ref: this.containerDiv
      }), this.loopChildren(this.props.children));
    }
  }]);

  return LazyLoad;
}(_react.PureComponent);

exports.default = LazyLoad;
LazyLoad.Image = _LazyImage.default;
LazyLoad.displayName = '延迟加载组件';
LazyLoad.defaultProps = {
  delay: 200
};